# Update workspace restrictions

`POST https://api.airtable.com/v0/meta/workspaces/{workspaceId}/updateRestrictions`

Update [sharing restrictions settings](https://support.airtable.com/docs/workspace-sharing-restrictions) for the workspace.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases:write`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-write)
- **User role:** Workspace creator
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `workspaceId: string`

## Request body

- `inviteCreationRestriction: "unrestricted" | "onlyOwners"` — optional

- `shareCreationRestriction: "unrestricted" | "onlyOwners"` — optional

## Response format

### Example — Example request

```sh
curl -X POST "https://api.airtable.com/v0/meta/workspaces/{workspaceId}/updateRestrictions" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "inviteCreationRestriction": "onlyOwners"
  }'
```

## Error responses

### 403

**Not owner** — Only a workspace owner can perform this action.

```json
{
  "error": {
    "message": "You are not permitted to perform this operation",
    "type": "INVALID_PERMISSIONS"
  }
}
```
